Package com.sun.jna.platform.unix.aix

# Class Perfstat.perfstat_protocol_t.AnonymousStructRPCclientdgram

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.aix.Perfstat.perfstat_protocol_t.AnonymousStructRPCclientdgram

Enclosing class:
  Perfstat.perfstat_protocol_t

@FieldOrder({"calls","badcalls","retrans","badxids","timeouts","newcreds","badverfs","timers","nomem","cantsend"}) public static class Perfstat.perfstat_protocol_t.AnonymousStructRPCclientdgram extends Structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `badcalls`
  `long`
  `badverfs`
  `long`
  `badxids`
  `long`
  `calls`
  `long`
  `cantsend`
  `long`
  `newcreds`
  `long`
  `nomem`
  `long`
  `retrans`
  `long`
  `timeouts`
  `long`
  `timers`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AnonymousStructRPCclientdgram()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### calls

    public long calls

  - ### badcalls

    public long badcalls

  - ### retrans

    public long retrans

  - ### badxids

    public long badxids

  - ### timeouts

    public long timeouts

  - ### newcreds

    public long newcreds

  - ### badverfs

    public long badverfs

  - ### timers

    public long timers

  - ### nomem

    public long nomem

  - ### cantsend

    public long cantsend

- ## Constructor Details

  - ### AnonymousStructRPCclientdgram

    public AnonymousStructRPCclientdgram()